if (typeof(org) === 'undefined') org = {};
if (typeof(org.ziniki) === 'undefined') org.ziniki = {};

org.ziniki.ContentProvider = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.ContentProvider.prototype = new IdempotentHandler();
org.ziniki.ContentProvider.prototype.constructor = org.ziniki.ContentProvider;
org.ziniki.ContentProvider._nf_success = 0;
org.ziniki.ContentProvider._nf_failure = 1;
org.ziniki.ContentProvider._nf_provide = 1;

org.ziniki.ContentProvider.prototype.name = function() {
  return 'org.ziniki.ContentProvider';
}

org.ziniki.ContentProvider.prototype.name.nfargs = function() { return -1; }

org.ziniki.ContentProvider.prototype._methods = function() {
  const v1 = ['success','failure','provide'];
  return v1;
}

org.ziniki.ContentProvider.prototype._methods.nfargs = function() { return -1; }

org.ziniki.ContentProvider.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.ContentProvider.prototype.success.nfargs = function() { return 0; }

org.ziniki.ContentProvider.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.ContentProvider.prototype.failure.nfargs = function() { return 1; }

org.ziniki.ContentProvider.prototype.provide = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.ContentProvider.prototype.provide.nfargs = function() { return 1; }

org.ziniki.ContentStore = function(_cxt) {
  return ;
}
org.ziniki.ContentStore._nf_newObject = 2;
org.ziniki.ContentStore._nf_objectPath = 2;

org.ziniki.ContentStore.prototype.name = function() {
  return 'org.ziniki.ContentStore';
}

org.ziniki.ContentStore.prototype.name.nfargs = function() { return -1; }

org.ziniki.ContentStore.prototype._methods = function() {
  const v1 = ['newObject','objectPath'];
  return v1;
}

org.ziniki.ContentStore.prototype._methods.nfargs = function() { return -1; }

org.ziniki.ContentStore.prototype.newObject = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.ContentStore.prototype.newObject.nfargs = function() { return 2; }

org.ziniki.ContentStore.prototype.objectPath = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.ContentStore.prototype.objectPath.nfargs = function() { return 2; }

org.ziniki.CrobagHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.CrobagHandler.prototype = new IdempotentHandler();
org.ziniki.CrobagHandler.prototype.constructor = org.ziniki.CrobagHandler;
org.ziniki.CrobagHandler._nf_success = 0;
org.ziniki.CrobagHandler._nf_failure = 1;
org.ziniki.CrobagHandler._nf_missing = 0;
org.ziniki.CrobagHandler._nf_present = 1;

org.ziniki.CrobagHandler.prototype.name = function() {
  return 'org.ziniki.CrobagHandler';
}

org.ziniki.CrobagHandler.prototype.name.nfargs = function() { return -1; }

org.ziniki.CrobagHandler.prototype._methods = function() {
  const v1 = ['success','failure','missing','present'];
  return v1;
}

org.ziniki.CrobagHandler.prototype._methods.nfargs = function() { return -1; }

org.ziniki.CrobagHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.CrobagHandler.prototype.success.nfargs = function() { return 0; }

org.ziniki.CrobagHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.CrobagHandler.prototype.failure.nfargs = function() { return 1; }

org.ziniki.CrobagHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org.ziniki.CrobagHandler.prototype.missing.nfargs = function() { return 0; }

org.ziniki.CrobagHandler.prototype.present = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.CrobagHandler.prototype.present.nfargs = function() { return 1; }

org.ziniki.CrobagUpdateHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.CrobagUpdateHandler.prototype = new IdempotentHandler();
org.ziniki.CrobagUpdateHandler.prototype.constructor = org.ziniki.CrobagUpdateHandler;
org.ziniki.CrobagUpdateHandler._nf_success = 0;
org.ziniki.CrobagUpdateHandler._nf_failure = 1;
org.ziniki.CrobagUpdateHandler._nf_missing = 0;
org.ziniki.CrobagUpdateHandler._nf_present = 1;
org.ziniki.CrobagUpdateHandler._nf_addkey = 2;
org.ziniki.CrobagUpdateHandler._nf_removekey = 2;

org.ziniki.CrobagUpdateHandler.prototype.name = function() {
  return 'org.ziniki.CrobagUpdateHandler';
}

org.ziniki.CrobagUpdateHandler.prototype.name.nfargs = function() { return -1; }

org.ziniki.CrobagUpdateHandler.prototype._methods = function() {
  const v1 = ['success','failure','missing','present','addkey','removekey'];
  return v1;
}

org.ziniki.CrobagUpdateHandler.prototype._methods.nfargs = function() { return -1; }

org.ziniki.CrobagUpdateHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.success.nfargs = function() { return 0; }

org.ziniki.CrobagUpdateHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.failure.nfargs = function() { return 1; }

org.ziniki.CrobagUpdateHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.missing.nfargs = function() { return 0; }

org.ziniki.CrobagUpdateHandler.prototype.present = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.present.nfargs = function() { return 1; }

org.ziniki.CrobagUpdateHandler.prototype.addkey = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.addkey.nfargs = function() { return 2; }

org.ziniki.CrobagUpdateHandler.prototype.removekey = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.CrobagUpdateHandler.prototype.removekey.nfargs = function() { return 2; }

org.ziniki.DataHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.DataHandler.prototype = new IdempotentHandler();
org.ziniki.DataHandler.prototype.constructor = org.ziniki.DataHandler;
org.ziniki.DataHandler._nf_success = 0;
org.ziniki.DataHandler._nf_failure = 1;
org.ziniki.DataHandler._nf_missing = 0;
org.ziniki.DataHandler._nf_value = 1;

org.ziniki.DataHandler.prototype.name = function() {
  return 'org.ziniki.DataHandler';
}

org.ziniki.DataHandler.prototype.name.nfargs = function() { return -1; }

org.ziniki.DataHandler.prototype._methods = function() {
  const v1 = ['success','failure','missing','value'];
  return v1;
}

org.ziniki.DataHandler.prototype._methods.nfargs = function() { return -1; }

org.ziniki.DataHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.DataHandler.prototype.success.nfargs = function() { return 0; }

org.ziniki.DataHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataHandler.prototype.failure.nfargs = function() { return 1; }

org.ziniki.DataHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org.ziniki.DataHandler.prototype.missing.nfargs = function() { return 0; }

org.ziniki.DataHandler.prototype.value = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataHandler.prototype.value.nfargs = function() { return 1; }

org.ziniki.DataStore = function(_cxt) {
  return ;
}
org.ziniki.DataStore._nf_subscribe = 1;
org.ziniki.DataStore._nf_domain = 1;
org.ziniki.DataStore._nf_put = 1;
org.ziniki.DataStore._nf_attachPersonalArena = 1;
org.ziniki.DataStore._nf_createArena = 3;
org.ziniki.DataStore._nf_addBench = 3;
org.ziniki.DataStore._nf_join = 3;
org.ziniki.DataStore._nf_publish = 3;
org.ziniki.DataStore._nf_my = 1;
org.ziniki.DataStore._nf_putMy = 2;
org.ziniki.DataStore._nf_attachSecondaryKeyset = 2;
org.ziniki.DataStore._nf_attachSecondaryIndex = 2;
org.ziniki.DataStore._nf_secondaryByType = 3;
org.ziniki.DataStore._nf_secondaryKey = 3;
org.ziniki.DataStore._nf_secondaryIndex = 3;

org.ziniki.DataStore.prototype.name = function() {
  return 'org.ziniki.DataStore';
}

org.ziniki.DataStore.prototype.name.nfargs = function() { return -1; }

org.ziniki.DataStore.prototype._methods = function() {
  const v1 = ['subscribe','domain','put','attachPersonalArena','createArena','addBench','join','publish','my','putMy','attachSecondaryKeyset','attachSecondaryIndex','secondaryByType','secondaryKey','secondaryIndex'];
  return v1;
}

org.ziniki.DataStore.prototype._methods.nfargs = function() { return -1; }

org.ziniki.DataStore.prototype.subscribe = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.subscribe.nfargs = function() { return 1; }

org.ziniki.DataStore.prototype.domain = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.domain.nfargs = function() { return 1; }

org.ziniki.DataStore.prototype.put = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.put.nfargs = function() { return 1; }

org.ziniki.DataStore.prototype.attachPersonalArena = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.attachPersonalArena.nfargs = function() { return 1; }

org.ziniki.DataStore.prototype.createArena = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.createArena.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.addBench = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.addBench.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.join = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.join.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.publish = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.publish.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.my = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.my.nfargs = function() { return 1; }

org.ziniki.DataStore.prototype.putMy = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.putMy.nfargs = function() { return 2; }

org.ziniki.DataStore.prototype.attachSecondaryKeyset = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.attachSecondaryKeyset.nfargs = function() { return 2; }

org.ziniki.DataStore.prototype.attachSecondaryIndex = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.attachSecondaryIndex.nfargs = function() { return 2; }

org.ziniki.DataStore.prototype.secondaryByType = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.secondaryByType.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.secondaryKey = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.secondaryKey.nfargs = function() { return 3; }

org.ziniki.DataStore.prototype.secondaryIndex = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.DataStore.prototype.secondaryIndex.nfargs = function() { return 3; }

org.ziniki.EntityCreated = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.EntityCreated.prototype = new IdempotentHandler();
org.ziniki.EntityCreated.prototype.constructor = org.ziniki.EntityCreated;
org.ziniki.EntityCreated._nf_success = 0;
org.ziniki.EntityCreated._nf_failure = 1;
org.ziniki.EntityCreated._nf_created = 1;

org.ziniki.EntityCreated.prototype.name = function() {
  return 'org.ziniki.EntityCreated';
}

org.ziniki.EntityCreated.prototype.name.nfargs = function() { return -1; }

org.ziniki.EntityCreated.prototype._methods = function() {
  const v1 = ['success','failure','created'];
  return v1;
}

org.ziniki.EntityCreated.prototype._methods.nfargs = function() { return -1; }

org.ziniki.EntityCreated.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.EntityCreated.prototype.success.nfargs = function() { return 0; }

org.ziniki.EntityCreated.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.EntityCreated.prototype.failure.nfargs = function() { return 1; }

org.ziniki.EntityCreated.prototype.created = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.EntityCreated.prototype.created.nfargs = function() { return 1; }

org.ziniki.FileProvider = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org.ziniki.FileProvider.prototype = new IdempotentHandler();
org.ziniki.FileProvider.prototype.constructor = org.ziniki.FileProvider;
org.ziniki.FileProvider._nf_success = 0;
org.ziniki.FileProvider._nf_failure = 1;
org.ziniki.FileProvider._nf_uploadTo = 1;

org.ziniki.FileProvider.prototype.name = function() {
  return 'org.ziniki.FileProvider';
}

org.ziniki.FileProvider.prototype.name.nfargs = function() { return -1; }

org.ziniki.FileProvider.prototype._methods = function() {
  const v1 = ['success','failure','uploadTo'];
  return v1;
}

org.ziniki.FileProvider.prototype._methods.nfargs = function() { return -1; }

org.ziniki.FileProvider.prototype.success = function(_cxt, _ih) {
  return null;
}

org.ziniki.FileProvider.prototype.success.nfargs = function() { return 0; }

org.ziniki.FileProvider.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.FileProvider.prototype.failure.nfargs = function() { return 1; }

org.ziniki.FileProvider.prototype.uploadTo = function(_cxt, _0, _ih) {
  return null;
}

org.ziniki.FileProvider.prototype.uploadTo.nfargs = function() { return 1; }

org.ziniki.Uploader = function(_cxt) {
  return ;
}
org.ziniki.Uploader._nf_provideFlasckLib = 3;
org.ziniki.Uploader._nf_provideModuleLib = 4;
org.ziniki.Uploader._nf_newPackage = 4;
org.ziniki.Uploader._nf_webzips = 3;
org.ziniki.Uploader._nf_provideFile = 4;
org.ziniki.Uploader._nf_deploy = 2;

org.ziniki.Uploader.prototype.name = function() {
  return 'org.ziniki.Uploader';
}

org.ziniki.Uploader.prototype.name.nfargs = function() { return -1; }

org.ziniki.Uploader.prototype._methods = function() {
  const v1 = ['provideFlasckLib','provideModuleLib','newPackage','webzips','provideFile','deploy'];
  return v1;
}

org.ziniki.Uploader.prototype._methods.nfargs = function() { return -1; }

org.ziniki.Uploader.prototype.provideFlasckLib = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.provideFlasckLib.nfargs = function() { return 3; }

org.ziniki.Uploader.prototype.provideModuleLib = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.provideModuleLib.nfargs = function() { return 4; }

org.ziniki.Uploader.prototype.newPackage = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.newPackage.nfargs = function() { return 4; }

org.ziniki.Uploader.prototype.webzips = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.webzips.nfargs = function() { return 3; }

org.ziniki.Uploader.prototype.provideFile = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.provideFile.nfargs = function() { return 4; }

org.ziniki.Uploader.prototype.deploy = function(_cxt, _0, _1, _ih) {
  return null;
}

org.ziniki.Uploader.prototype.deploy.nfargs = function() { return 2; }

org.ziniki.AdminPermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.AdminPermission');
  return ;
}


org.ziniki.AdminPermission._typename = 'org.ziniki.AdminPermission'

org.ziniki.AdminPermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.AdminPermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org.ziniki.AdminPermission.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.AdminPermission.eval = function(_cxt) {
  const v1 = new org.ziniki.AdminPermission(_cxt);
  return v1;
}

org.ziniki.AdminPermission.eval.nfargs = function() { return 0; }

org.ziniki.CodePackage = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.CodePackage');
  return ;
}


org.ziniki.CodePackage._typename = 'org.ziniki.CodePackage'

org.ziniki.CodePackage.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.CodePackage')) {
    return true;
  } else 
    return false;
}

org.ziniki.CodePackage.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.CodePackage.eval = function(_cxt, packageName, latestVersion) {
  const v1 = new org.ziniki.CodePackage(_cxt);
  v1.state.set('packageName', packageName);
  v1.state.set('latestVersion', latestVersion);
  return v1;
}

org.ziniki.CodePackage.eval.nfargs = function() { return 2; }

org.ziniki.CodePackageVersion = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.CodePackageVersion');
  return ;
}


org.ziniki.CodePackageVersion._typename = 'org.ziniki.CodePackageVersion'

org.ziniki.CodePackageVersion.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.CodePackageVersion')) {
    return true;
  } else 
    return false;
}

org.ziniki.CodePackageVersion.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.CodePackageVersion.eval = function(_cxt, packageName, version, flascklib) {
  const v1 = new org.ziniki.CodePackageVersion(_cxt);
  v1.state.set('packageName', packageName);
  v1.state.set('version', version);
  const v2 = Nil.eval(_cxt);
  v1.state.set('webzips', v2);
  const v3 = Nil.eval(_cxt);
  v1.state.set('sources', v3);
  const v4 = Nil.eval(_cxt);
  v1.state.set('unitTests', v4);
  const v5 = Nil.eval(_cxt);
  v1.state.set('assemblies', v5);
  const v6 = Nil.eval(_cxt);
  v1.state.set('systemTests', v6);
  v1.state.set('flascklib', flascklib);
  const v7 = Nil.eval(_cxt);
  v1.state.set('modules', v7);
  const v8 = Nil.eval(_cxt);
  v1.state.set('dependencies', v8);
  const v9 = Nil.eval(_cxt);
  v1.state.set('flim', v9);
  const v10 = Nil.eval(_cxt);
  v1.state.set('livejs', v10);
  const v11 = Nil.eval(_cxt);
  v1.state.set('testjs', v11);
  const v12 = Nil.eval(_cxt);
  v1.state.set('livejar', v12);
  const v13 = Nil.eval(_cxt);
  v1.state.set('testjar', v13);
  const v14 = False.eval(_cxt);
  v1.state.set('deployed', v14);
  return v1;
}

org.ziniki.CodePackageVersion.eval.nfargs = function() { return 3; }

org.ziniki.DomainKey = function() {
  return ;
}


org.ziniki.DomainKey._typename = 'org.ziniki.DomainKey'

org.ziniki.DomainKey.ofEntity = function(_cxt) {
  return null;
}

org.ziniki.DomainKey.ofEntity.nfargs = function() { return 0; }

org.ziniki.DomainKey.fieldNames = function(_cxt) {
  return null;
}

org.ziniki.DomainKey.fieldNames.nfargs = function() { return 0; }

org.ziniki.MyRecord = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.MyRecord');
  return ;
}


org.ziniki.MyRecord._typename = 'org.ziniki.MyRecord'

org.ziniki.MyRecord.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.MyRecord')) {
    return true;
  } else 
    return false;
}

org.ziniki.MyRecord.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.MyRecord.eval = function(_cxt, pointsTo) {
  const v1 = new org.ziniki.MyRecord(_cxt);
  v1.state.set('pointsTo', pointsTo);
  return v1;
}

org.ziniki.MyRecord.eval.nfargs = function() { return 1; }

org.ziniki.PendingDomain = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.PendingDomain');
  return ;
}


org.ziniki.PendingDomain._typename = 'org.ziniki.PendingDomain'

org.ziniki.PendingDomain.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.PendingDomain')) {
    return true;
  } else 
    return false;
}

org.ziniki.PendingDomain.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.PendingDomain.eval = function(_cxt, domain, userid, token) {
  const v1 = new org.ziniki.PendingDomain(_cxt);
  v1.state.set('domain', domain);
  v1.state.set('userid', userid);
  v1.state.set('token', token);
  return v1;
}

org.ziniki.PendingDomain.eval.nfargs = function() { return 3; }

org.ziniki.Profile = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.Profile');
  return ;
}


org.ziniki.Profile._typename = 'org.ziniki.Profile'

org.ziniki.Profile.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.Profile')) {
    return true;
  } else 
    return false;
}

org.ziniki.Profile.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.Profile.eval = function(_cxt, profilename, knownAs) {
  const v1 = new org.ziniki.Profile(_cxt);
  v1.state.set('profilename', profilename);
  v1.state.set('knownAs', knownAs);
  v1.state.set('fileAs', '');
  const v2 = Nil.eval(_cxt);
  v1.state.set('emails', v2);
  const v3 = Nil.eval(_cxt);
  v1.state.set('phoneNos', v3);
  const v4 = Nil.eval(_cxt);
  v1.state.set('websites', v4);
  return v1;
}

org.ziniki.Profile.eval.nfargs = function() { return 2; }

org.ziniki.ReadPermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.ReadPermission');
  return ;
}


org.ziniki.ReadPermission._typename = 'org.ziniki.ReadPermission'

org.ziniki.ReadPermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.ReadPermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org.ziniki.ReadPermission.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.ReadPermission.eval = function(_cxt) {
  const v1 = new org.ziniki.ReadPermission(_cxt);
  return v1;
}

org.ziniki.ReadPermission.eval.nfargs = function() { return 0; }

org.ziniki.WritePermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.WritePermission');
  return ;
}


org.ziniki.WritePermission._typename = 'org.ziniki.WritePermission'

org.ziniki.WritePermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.WritePermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org.ziniki.WritePermission.prototype._areYouA.nfargs = function() { return 1; }

org.ziniki.WritePermission.eval = function(_cxt) {
  const v1 = new org.ziniki.WritePermission(_cxt);
  return v1;
}

org.ziniki.WritePermission.eval.nfargs = function() { return 0; }

org.ziniki.CodePackage.prototype._field_latestVersion = function(_cxt) {
  return this.state.get('latestVersion');
}

org.ziniki.CodePackage.prototype._field_latestVersion.nfargs = function() { return 0; }

org.ziniki.CodePackage.prototype._field_packageName = function(_cxt) {
  return this.state.get('packageName');
}

org.ziniki.CodePackage.prototype._field_packageName.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_assemblies = function(_cxt) {
  return this.state.get('assemblies');
}

org.ziniki.CodePackageVersion.prototype._field_assemblies.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_dependencies = function(_cxt) {
  return this.state.get('dependencies');
}

org.ziniki.CodePackageVersion.prototype._field_dependencies.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_deployed = function(_cxt) {
  return this.state.get('deployed');
}

org.ziniki.CodePackageVersion.prototype._field_deployed.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_flascklib = function(_cxt) {
  return this.state.get('flascklib');
}

org.ziniki.CodePackageVersion.prototype._field_flascklib.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_flim = function(_cxt) {
  return this.state.get('flim');
}

org.ziniki.CodePackageVersion.prototype._field_flim.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_livejar = function(_cxt) {
  return this.state.get('livejar');
}

org.ziniki.CodePackageVersion.prototype._field_livejar.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_livejs = function(_cxt) {
  return this.state.get('livejs');
}

org.ziniki.CodePackageVersion.prototype._field_livejs.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_modules = function(_cxt) {
  return this.state.get('modules');
}

org.ziniki.CodePackageVersion.prototype._field_modules.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_packageName = function(_cxt) {
  return this.state.get('packageName');
}

org.ziniki.CodePackageVersion.prototype._field_packageName.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_sources = function(_cxt) {
  return this.state.get('sources');
}

org.ziniki.CodePackageVersion.prototype._field_sources.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_systemTests = function(_cxt) {
  return this.state.get('systemTests');
}

org.ziniki.CodePackageVersion.prototype._field_systemTests.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_testjar = function(_cxt) {
  return this.state.get('testjar');
}

org.ziniki.CodePackageVersion.prototype._field_testjar.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_testjs = function(_cxt) {
  return this.state.get('testjs');
}

org.ziniki.CodePackageVersion.prototype._field_testjs.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_unitTests = function(_cxt) {
  return this.state.get('unitTests');
}

org.ziniki.CodePackageVersion.prototype._field_unitTests.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_version = function(_cxt) {
  return this.state.get('version');
}

org.ziniki.CodePackageVersion.prototype._field_version.nfargs = function() { return 0; }

org.ziniki.CodePackageVersion.prototype._field_webzips = function(_cxt) {
  return this.state.get('webzips');
}

org.ziniki.CodePackageVersion.prototype._field_webzips.nfargs = function() { return 0; }

org.ziniki.MyRecord.prototype._field_pointsTo = function(_cxt) {
  return this.state.get('pointsTo');
}

org.ziniki.MyRecord.prototype._field_pointsTo.nfargs = function() { return 0; }

org.ziniki.PendingDomain.prototype._field_domain = function(_cxt) {
  return this.state.get('domain');
}

org.ziniki.PendingDomain.prototype._field_domain.nfargs = function() { return 0; }

org.ziniki.PendingDomain.prototype._field_token = function(_cxt) {
  return this.state.get('token');
}

org.ziniki.PendingDomain.prototype._field_token.nfargs = function() { return 0; }

org.ziniki.PendingDomain.prototype._field_userid = function(_cxt) {
  return this.state.get('userid');
}

org.ziniki.PendingDomain.prototype._field_userid.nfargs = function() { return 0; }

org.ziniki.Profile.prototype._field_emails = function(_cxt) {
  return this.state.get('emails');
}

org.ziniki.Profile.prototype._field_emails.nfargs = function() { return 0; }

org.ziniki.Profile.prototype._field_fileAs = function(_cxt) {
  return this.state.get('fileAs');
}

org.ziniki.Profile.prototype._field_fileAs.nfargs = function() { return 0; }

org.ziniki.Profile.prototype._field_knownAs = function(_cxt) {
  return this.state.get('knownAs');
}

org.ziniki.Profile.prototype._field_knownAs.nfargs = function() { return 0; }

org.ziniki.Profile.prototype._field_phoneNos = function(_cxt) {
  return this.state.get('phoneNos');
}

org.ziniki.Profile.prototype._field_phoneNos.nfargs = function() { return 0; }

org.ziniki.Profile.prototype._field_websites = function(_cxt) {
  return this.state.get('websites');
}

org.ziniki.Profile.prototype._field_websites.nfargs = function() { return 0; }

org.ziniki._init = function(_cxt) {
  const v1 = new org.ziniki.ContentProvider(_cxt);
  const v2 = _cxt.registerContract('org.ziniki.ContentProvider', v1);
  const v3 = new org.ziniki.ContentStore(_cxt);
  const v4 = _cxt.registerContract('org.ziniki.ContentStore', v3);
  const v5 = new org.ziniki.CrobagHandler(_cxt);
  const v6 = _cxt.registerContract('org.ziniki.CrobagHandler', v5);
  const v7 = new org.ziniki.CrobagUpdateHandler(_cxt);
  const v8 = _cxt.registerContract('org.ziniki.CrobagUpdateHandler', v7);
  const v9 = new org.ziniki.DataHandler(_cxt);
  const v10 = _cxt.registerContract('org.ziniki.DataHandler', v9);
  const v11 = new org.ziniki.DataStore(_cxt);
  const v12 = _cxt.registerContract('org.ziniki.DataStore', v11);
  const v13 = new org.ziniki.EntityCreated(_cxt);
  const v14 = _cxt.registerContract('org.ziniki.EntityCreated', v13);
  const v15 = new org.ziniki.FileProvider(_cxt);
  const v16 = _cxt.registerContract('org.ziniki.FileProvider', v15);
  const v17 = new org.ziniki.Uploader(_cxt);
  const v18 = _cxt.registerContract('org.ziniki.Uploader', v17);
  const v19 = _cxt.registerStruct('org.ziniki.AdminPermission', org.ziniki.AdminPermission);
  const v20 = _cxt.registerStruct('org.ziniki.CodePackage', org.ziniki.CodePackage);
  const v21 = _cxt.registerStruct('org.ziniki.CodePackageVersion', org.ziniki.CodePackageVersion);
  const v22 = _cxt.registerStruct('org.ziniki.MyRecord', org.ziniki.MyRecord);
  const v23 = _cxt.registerStruct('org.ziniki.PendingDomain', org.ziniki.PendingDomain);
  const v24 = _cxt.registerStruct('org.ziniki.Profile', org.ziniki.Profile);
  const v25 = _cxt.registerStruct('org.ziniki.ReadPermission', org.ziniki.ReadPermission);
  const v26 = _cxt.registerStruct('org.ziniki.WritePermission', org.ziniki.WritePermission);
  if (_cxt.isTruthy(org.ziniki._builtin_init)) {
    org.ziniki._builtin_init(_cxt);
  }
}

org.ziniki._init.nfargs = function() { return 0; }
